# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeSurfaceOfLinearExtrusion Class Reference

This class implements the mapping between class
SurfaceOfLinearExtrusion from Geom and the class
SurfaceOfLinearExtrusion from StepGeom which describes a
surface_of_linear_extrusion from Prostep
.

`#include <GeomToStep_MakeSurfaceOfLinearExtrusion.hxx>`

Inheritance diagram for GeomToStep_MakeSurfaceOfLinearExtrusion:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeSurfaceOfLinearExtrusion (const Handle(Geom_SurfaceOfLinearExtrusion)&CSurf)
Standard_EXPORT const Handle_StepGeom_SurfaceOfLinearExtrusion & | Value () const

## Private Attributes

Handle_StepGeom_SurfaceOfLinearExtrusion | theSurfaceOfLinearExtrusion

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeSurfaceOfLinearExtrusion::GeomToStep_MakeSurfaceOfLinearExtrusion | ( | const Handle(Geom_SurfaceOfLinearExtrusion)& | CSurf | ) |

## Member Function Documentation

void GeomToStep_MakeSurfaceOfLinearExtrusion::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeSurfaceOfLinearExtrusion::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeSurfaceOfLinearExtrusion::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_SurfaceOfLinearExtrusion& GeomToStep_MakeSurfaceOfLinearExtrusion::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_SurfaceOfLinearExtrusion GeomToStep_MakeSurfaceOfLinearExtrusion::theSurfaceOfLinearExtrusion `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeSurfaceOfLinearExtrusion.hxx